# =========================================================================== #
# Gemspec for Project VerboseTruth.
# =========================================================================== #
require 'verbose_truth/version/version.rb'

Gem::Specification.new { |s|

  s.name    = 'verbose_truth'
  s.version = VerboseTruth::VERSION
  s.date    = Time.now.strftime('%Y-%m-%d')
  
  s.summary = <<-EOF

    This tiny module is called verbose_truth.

    It just has one method called verbose_truth().

    It will take a boolean value such as true or false, and
    convert this into a string called Yes or No.
    
    Now you may wonder why anyone needs this - the answer
    is quite simple. Sometimes one may need a written-english
    form of a boolean value, and this is exactly when one
    may need this functionality.

    If you have specific suggestions to make this gem more
    useful for others, please drop me an email at:

      shevegen@gmail.com

    Thank you.

  EOF
  
  s.description = <<-EOF

    This tiny module is called verbose_truth.

    It just has one method called verbose_truth().

    It will take a boolean value such as true or false, and
    convert this into a string called Yes or No.
    
    Now you may wonder why anyone needs this - the answer
    is quite simple. Sometimes one may need a written-english
    form of a boolean value, and this is exactly when one
    may need this functionality.

    If you have specific suggestions to make this gem more
    useful for others, please drop me an email at:

      shevegen@gmail.com

    Thank you.

  EOF

  s.extra_rdoc_files = %w()

  s.authors  = ['Robert A. Heiler']
  s.email    = 'shevegen@gmail.com'
  s.files    = Dir['**/*']
  s.license  = 'GPL-2.0'
  s.homepage = 'http://rubygems.org/gems/verbose_truth'

  s.required_ruby_version     = '>= '+RUBY_VERSION
  s.required_rubygems_version = '>= '+Gem::VERSION
  s.rubygems_version          = '>= '+Gem::VERSION

}